%define sname		qlipper
%define version		2.0
%define release		%mkrel 1


Name:			%{sname}2
Version:		%{version}
Release:		%{release}
Summary:		QT Clipboard Tool
URL:			https://gitorious.org/qlipper/qlipper2
Group:			System/Utility
License:		GPLv2
Source:			%{name}-%{version}.tar.xz
BuildRequires: 	%{_lib}qt4-devel
Requires:		python-qt4-core
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
Obsoletes:		%sname < %version

%description
Lightweight and cross-platform clipboard history applet.

This application is a part of QtDesktop project and is improved version of original Qlipper 
which is available only as a download from qt-apps.org.

%prep
%setup -q -n %name

%build
qmake
%make

%install
rm -rf %{buildroot}

install -Dm 755 -p %sname $RPM_BUILD_ROOT/%_bindir/%sname

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%_bindir/%sname

%changelog
* Fri Dec 30 2011 Archie Arevalo <pclinuxos.ph at gmail.com> 2.0-1_archie_2011
- Initial build
